## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_id  org.gabmus.whatip

Name:           whatip
Version:        1.1
Release:        %autorelease
Summary:        Info on your IP address
License:        GPL-3.0-or-newer
URL:            https://gitlab.gnome.org/GabMus/whatip
Source0:        %{url}/-/archive/%{version}/whatip-%{version}.tar.bz2

BuildRequires:  meson
BuildRequires:  blueprint-compiler
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  python3-devel
Requires:       gtk4
Requires:       libadwaita
Requires:       iproute
Requires:       iputils
Requires:       python3-gobject
Requires:       python3-netaddr
Requires:       python3-requests
Requires:       hicolor-icon-theme

BuildArch:      noarch

%description
What IP displays information on your local network, IP addresses and open ports.

%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{app_id}.appdata.xml

%find_lang %{name}


%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_bindir}/whatip
%{python3_sitelib}/%{name}/
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/dbus-1/services/%{app_id}.service
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%{_datadir}/icons/hicolor/*/*/%{app_id}*
%{_metainfodir}/%{app_id}.appdata.xml
%{_datadir}/%{name}/


%changelog
* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.1-2
- Rebuilt for Python 3.12

* Tue Feb 14 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 1.1-1
- Initial build
